Weave node
~~~~~~~~~~

The **Weave** node outputs a weave pattern, that can be used for cloth.

.. image:: images/node_pattern_weave.png
	:align: center

Inputs
++++++

The **Weave** node accepts an optional greyscale input map for the width parameter
(whose value is multiplied by the map value).

Outputs
+++++++

The **Weave** generates a single greyscale output texture.

Parameters
++++++++++

The **Weave** node accepts the following parameters:

* the *Size X* and *Size Y* parameters define the number of patterns that will be generated.

* the *Width* parameter is the width of stiches. 

Example images
++++++++++++++

.. image:: images/node_weave_samples.png
	:align: center
